List Bundles
GET https://api.secure.quotivity.com/v1/bundlesRetrieves a paginated list of all bundles with option counts.
Send your API key in the x-api-key header. See Generating API keys.
Query parameters
Section titled “Query parameters”| Name | Type | Required | Description |
|---|---|---|---|
startKey |
string | No | Cursor for pagination |
limit |
string | No | — |
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
200 |
ListBundlesResponse | Successfully retrieved bundles |
401 |
— | Unauthorized |
429 |
— | Rate limit exceeded |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”Bundle
Section titled “Bundle”| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
accountId |
string | Yes | — |
isActive |
boolean | Yes | — |
header |
BundleProduct | No | — |
configuratorEnabled |
boolean | No | — |
clonedBundleTempName |
string | No | — |
BundleProduct
Section titled “BundleProduct”| Field | Type | Required | Description |
|---|---|---|---|
productId |
string | Yes | — |
properties |
map of string to string | Yes | — |
BundleWithOptionCounts
Section titled “BundleWithOptionCounts”Extends Bundle.
| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
accountId |
string | Yes | — |
isActive |
boolean | Yes | — |
header |
BundleProduct | No | — |
configuratorEnabled |
boolean | No | — |
clonedBundleTempName |
string | No | — |
includedOptionsCount |
number | Yes | — |
addOnOptionsCount |
number | Yes | — |
ListBundlesResponse
Section titled “ListBundlesResponse”| Field | Type | Required | Description |
|---|---|---|---|
bundles |
BundleWithOptionCounts[] | Yes | — |
nextKey |
string | No | — |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.